<?xml version="1.0" encoding="UTF-8" ?>
<project name="blancoDbEE" default="build" basedir=".">
	<!-- blancoAntにより自動生成されました。 (2006/11/15) -->
	<property name="version" value="1.8.4" />

	<property name="project" value="blancoDbEE" />
	<property name="product" value="blanco.db" />
	<property name="project.zip" value="${project}-${version}-src.zip" />
	<property name="project.main.jar" value="blancodb-ee-${version}.jar" />

	<property name="eclipse.dir" value="D:/program files/eclipse312" />

	<!-- Antタスク定義 2006.10.26版 begin -->
	<taskdef name="blancoanttask" classname="blanco.anttask.task.BlancoAntTaskTask">
		<classpath>
			<fileset dir="lib" includes="*.jar" />
			<fileset dir="lib.ant" includes="*.jar" />
		</classpath>
	</taskdef>

	<taskdef name="blancoconstants" classname="blanco.constants.task.BlancoConstantsTask">
		<classpath>
			<fileset dir="lib" includes="*.jar" />
			<fileset dir="lib.ant" includes="*.jar" />
		</classpath>
	</taskdef>

	<taskdef name="blancometa2xmlprocess" classname="blanco.meta2xml.task.BlancoMeta2XmlProcessTask">
		<classpath>
			<fileset dir="lib" includes="*.jar" />
			<fileset dir="lib.ant" includes="*.jar" />
		</classpath>
	</taskdef>

	<taskdef name="blancostringgroup" classname="blanco.stringgroup.task.BlancoStringGroupTask">
		<classpath>
			<fileset dir="lib" includes="*.jar" />
			<fileset dir="lib.ant" includes="*.jar" />
		</classpath>
	</taskdef>

	<taskdef name="blancoresourcebundle" classname="blanco.resourcebundle.task.BlancoResourceBundleTask">
		<classpath>
			<fileset dir="lib" includes="*.jar" />
			<fileset dir="lib.ant" includes="*.jar" />
		</classpath>
	</taskdef>

	<taskdef name="blancovalueobject" classname="blanco.valueobject.task.BlancoValueObjectTask">
		<classpath>
			<fileset dir="lib" includes="*.jar" />
			<fileset dir="lib.ant" includes="*.jar" />
		</classpath>
	</taskdef>

	<!-- Antタスク定義 2006.10.26版 end -->

	<!-- 自分自身のAntタスク。 -->
	<taskdef name="blancodb" classname="blanco.db.task.BlancoDbTask">
		<classpath>
			<fileset dir="lib" includes="*.jar" />
			<fileset dir="lib.ant" includes="*.jar" />
		</classpath>
	</taskdef>

	<target name="pack">
		<echo>packing project</echo>
		<delete file="${project.zip}" />
		<delete dir="bin" />
		<delete dir="javadoc" />

		<delete dir="tmp" />
		<mkdir dir="tmp" />

		<copy todir="lib.ant">
			<fileset dir=".">
				<include name="blancodb-ee-*.jar" />
			</fileset>
		</copy>

		<zip destfile="${project.zip}">
			<zipfileset dir="." prefix="blancoDbEE" excludes="${project.zip},**/*.class,**/sqljdbc.jar,**/postgresql-*.jar" />
		</zip>

	</target>

	<target name="jar">
		<echo>building jar</echo>

		<!-- 定義書読込設定XMLファイル(blancoCalcParserが利用) のコピーは不要です。 -->

		<delete file="${project.main.jar}" />
		<jar destfile="${project.main.jar}">
			<zipfileset dir="doc" prefix="doc" />
			<!-- classの取り込み (※sampleは除外) -->
			<zipfileset dir="bin" includes="**/*" excludes="blanco/sample/**" />
			<!-- Javaソースコード(通常)の取り込み -->
			<zipfileset dir="src/main" includes="**/*" prefix="src" />
			<!-- Javaソースコード(自動生成)の取り込み (※sampleは除外) -->
			<zipfileset dir="blanco/main" includes="**/*.java" prefix="src" excludes="blanco/sample/**" />
			<!-- プロパティファイルの取り込み -->
			<zipfileset dir="blanco/main" includes="*.properties" />
		</jar>
	</target>

	<target name="compile">
		<delete dir="bin" />
		<mkdir dir="bin" />
		<javac srcdir="blanco/main/" destdir="bin" debug="true" source="1.4" target="1.4" fork="true">
			<classpath>
				<!-- ワイルドカードで一括取り込み -->
				<fileset dir="lib" includes="*.jar" />
				<pathelement path="${eclipse.dir}/plugins/org.junit_3.8.1/junit.jar" />
			</classpath>
			<include name="**/*.java" />
		</javac>
		<javac srcdir="src/main/" destdir="bin" debug="true" source="1.4" target="1.4" fork="true">
			<classpath>
				<!-- ワイルドカードで一括取り込み -->
				<fileset dir="lib" includes="*.jar" />
				<pathelement path="${eclipse.dir}/plugins/org.junit_3.8.1/junit.jar" />
			</classpath>
			<include name="**/*.java" />
		</javac>
	</target>

	<!-- JavaDoc記述 2005.12.15版 -->
	<target name="javadoc">
		<echo>JavaDocを生成します。</echo>
		<delete dir="javadoc" />
		<javadoc destdir="javadoc">
			<fileset dir="src" />
			<fileset dir="blanco/main" />
			<classpath>
				<fileset dir="lib" includes="*.jar" />
				<fileset dir="lib.ant" includes="*.jar" />
			</classpath>
		</javadoc>
	</target>

	<target name="meta">
		<blancoconstants metadir="meta/db/program" />
		<blancoresourcebundle metadir="meta/db/program" commenttimestamp="false" />
		<blancoanttask metadir="meta/db/program" />
		<blancovalueobject metadir="meta/db/program" />
		<blancometa2xmlprocess metadir="meta/db/program" />
		<blancostringgroup metadir="meta/db/program" />

		<!-- TODO: ここに自身のantタスクを追加してください。 -->
	</target>


	<target name="build" depends="meta,compile,jar,pack">
	</target>

	<target name="generate">
		<echo>blancoDb生成</echo>
		<delete dir="tmp/db" />
		<!-- PostgreSQL -->
		<!-- <blancodb jdbcdriver="org.postgresql.Driver" jdbcurl="jdbc:postgresql://localhost:5432" jdbcuser="postgres" jdbcpassword="password" basepackage="igapyon" metadir="meta/db/template" table="true" sql="true" targetdir="tmp/blanco" verbose="true" executesql="iterator" /> -->

		<!-- Microsoft SQL Server 2005 -->
		<blancodb jdbcdriver="com.microsoft.sqlserver.jdbc.SQLServerDriver" jdbcurl="jdbc:sqlserver://localhost" jdbcuser="blancodb" jdbcpassword="blancodb" basepackage="igapyon" metadir="meta/db/template" table="true" sql="true" targetdir="tmp/blanco" log="true" logmode="performance" executesql="iterator" verbose="true" />
	</target>

</project>